=== debian/changelog ===
landscape-client (16.03-0ubuntu2.16.04.8) xenial; urgency=medium

  * d/p/1886491-trusted-local.patch: (LP: #1886491)
    Backport implicit trust of file sources created by landscape.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 07 Jul 2020 17:26:43 -0400

landscape-client (16.03-0ubuntu2.16.04.7) xenial; urgency=medium

  * d/p/product-name-vminfo-1828217.patch: Add product_name to things scanned
    for vm_info (LP: #1828217)
  * d/landscape-client.postinst: Set default value if data_path is
    missing. (LP: #1728681)
  * d/p/stagger-launch-1788518.patch: Add option to stagger launch of broker
    plugins. (LP: #1788518)
  * d/landscape-client.init: Fix init script stop action (LP: #1833137)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 28 Jun 2019 12:18:32 -0400

landscape-client (16.03-0ubuntu2.16.04.6) xenial; urgency=medium

  * debian/patches/mem-usage-1685885.patch: Reduce memory usage by
    unused twisted logs. (LP: #1685885)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 08 Feb 2019 12:02:17 -0500

landscape-client (16.03-0ubuntu2.16.04.5) xenial; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (16.03-0ubuntu2.16.04.4) xenial; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 21:15:45 +0000

landscape-client (16.03-0ubuntu2.16.04.3) xenial; urgency=medium

  * d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
    Sets vm_info to kvm for new AWS EC2 C5 instances. (LP: #1742531)

  * d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
    Sets vm_info to kvm for digitalocean instances. (LP: #1743232)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Jan 2018 10:53:42 -0500

landscape-client (16.03-0ubuntu2.16.04.2) xenial; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Nov 2017 16:09:30 -0200

landscape-client (16.03-0ubuntu2.16.04.1) xenial; urgency=medium

  * Don't report packages that are coming from backports, so that Landscape
    doesn't try to upgrade to versions of packages that are in backports.
    (LP: #1668583)

 -- Bjorn Tillenius <bjorn@canonical.com>  Mon, 20 Mar 2017 10:25:40 +0000

landscape-client (16.03-0ubuntu2) xenial; urgency=medium

  * Cope with an api change in python-swift that broke swift storage
    reporting in Autopilot. (LP: #1563565)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Apr 2016 09:15:40 -0300

landscape-client (16.03-0ubuntu1) xenial; urgency=medium

  * New upstream release 16.03:
    - Drop UI packages for xenial (LP: #1557502)
    - Fix xenial test failures (LP: #1548946, #1551892)
    - Fix curl test failures (LP: #1462427)
    - Fix user listing on server (LP: #1508110, #1532887, #1508110, #1508110)
    - Add support for s390x CPU arch (LP: #1541074)
    - Fix creating a file before the parent directory exists (LP: #1546743)
    - Add more information about ssl errors during registation (LP: #1409700)
    - Retry apt-get update on errors (LP: #1398090)
    - Better SSL error and user interaction
    - Don't retry package operations in the case of a system error
      (LP: #1444419)
    - Fix container detection under systemd (LP: #1449920)
  * Removed patches already applied upstream: fix-users-reporting-take2.patch,
    s390x-support.patch and bug-1508110-resync-users-on-upgrade.patch

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 21 Mar 2016 16:29:27 -0300

landscape-client (14.12-0ubuntu6) xenial; urgency=medium

  * Trigger a resync of user information upon upgrades. (LP: #1508110)
  * Create data directory ahead of time. (LP: #1546743)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 02 Mar 2016 11:09:48 -0300

landscape-client (14.12-0ubuntu5) xenial; urgency=medium

  * Cherrypick upstream s390x support. LP: #1541074

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 10:36:36 +0000

landscape-client (14.12-0ubuntu4) xenial; urgency=medium

  * Added patch fix-users-reporting-take2.patch to really fix the problem
    this time. (LP: #1508110)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 18 Jan 2016 09:35:00 -0200

landscape-client (14.12-0ubuntu3) xenial; urgency=medium

  * Drop fix-users-reporting patch as it was causing other problems.
    (LP: #1532887)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 11 Jan 2016 16:02:06 -0200

landscape-client (14.12-0ubuntu2) xenial; urgency=medium

  * Add debian/pathes/fix-users-reporting.patch for fixing a
    regression in users reporting (LP: #1508110)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 16 Dec 2015 08:34:00 +0100

landscape-client (14.12-0ubuntu1) vivid; urgency=medium

  * New upstream version:
    - Fix platform detection on POWER machines (LP: #1271615)
    - Fix platform detection for arm64 machines (LP: #1306824)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to

