=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper (>= 7), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
Standards-Version: 3.8.2
XS-Python-Version: >= 2.4, << 2.8

Package: landscape-common
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-core,
         python-configobj,
         python-apt,
         ca-certificates,
         python-gdbm,
         lsb-release,
         lsb-base,
         adduser,
         bc,
         lshw,
         libpam-modules
Suggests: ${extra:Suggests}
# added/changed when we moved the sysinfo manpage from client to common
# in r582. There is no accompaining "Breaks" because -client requires
# the exact same version of -common, which will trigger the upgrade
# and avoid the case discussed in
# http://www.debian.org/doc/debian-policy/footnotes.html#f53
Replaces: landscape-client (<< 12.09+bzr582)
Description: The Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries.
XB-Python-Version: ${python:Versions}

Package: landscape-client
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-web,
         python-pycurl,
         landscape-common (= ${binary:Version})
Replaces: landscape-client-ui, landscape-client-ui-install
Conflicts: landscape-client-ui, landscape-client-ui-install
Suggests: ${extra:Suggests}
Description: The Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.
XB-Python-Version: ${python:Versions}
