=== debian/changelog ===
landscape-client (18.01-0ubuntu3.6) bionic; urgency=medium

  * d/p/1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 17 Nov 2020 19:06:42 -0500

landscape-client (18.01-0ubuntu3.5) bionic; urgency=medium

  * d/p/apt-pulse-1758529.patch:
    Override the apt progress pulse (LP: #1758529)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 20 Feb 2020 17:35:22 +0000

landscape-client (18.01-0ubuntu3.4) bionic; urgency=medium

  * d/p/product-name-vminfo-1828217.patch: Add product_name to things scanned
    for vm_info (LP: #1828217)
  * d/landscape-client.postinst: Set default value if data_path is
    missing. (LP: #1728681)
  * d/p/stagger-launch-1788518.patch: Add option to stagger launch of broker
    plugins. (LP: #1788518)
  * d/landscape-client.init: Fix init script stop action (LP: #1833137)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 27 Jun 2019 11:07:30 -0400

landscape-client (18.01-0ubuntu3.3) bionic; urgency=medium

  * debian/patches/mem-usage-1685885.patch: Reduce memory usage by
    unused twisted logs. (LP: #1685885)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 08 Feb 2019 12:02:17 -0500

landscape-client (18.01-0ubuntu3.2) bionic; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade:
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/unicode-tags-script.patch: Permit environments
    containing unicode chars for script execution. (LP: #1765518)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (18.01-0ubuntu3.1) bionic; urgency=medium

  * d/p/apt-sources-replace-1771443.patch: 
    - Handle unicode in apt-sources-replace (LP: #1771443)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 18 May 2018 15:29:00 +0000

landscape-client (18.01-0ubuntu3) bionic; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 20:21:49 +0000

landscape-client (18.01-0ubuntu2) bionic; urgency=medium

  * debian/patches/remove-landscape-link.patch: Remove the landscape url
    from motd output. (LP: #1753936)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 07 Mar 2018 10:04:45 +0100

landscape-client (18.01-0ubuntu1) bionic; urgency=medium

  * New upstream release 18.01:
    - Ported to python3 (LP: #1577850)
    - move Replaces/Breaks landscape-client-ui rules to landscape-common
      (LP: #1560424)
    - Add a libpam-systemd Depends if built for xenial (LP: #1590838)
    - Some units not reporting swift usage (LP: #1588404)
    - Fix missing install directories for landscape-common and drop
      usr/share/landscape as its only used and created by landscape-client.
      (LP: #1680842)
    - Fix VM detection for Xen, by returning "xen" only for paravirtualized and
      HVM hosts, not for dom0. (LP: #1601818)
    - Add an indication of truncation to process output that has been truncated
      prior to delivery to the server. (LP: #1629000)
    - add /snap/bin to the PATH when executing scripts. (LP: #1635634)
    - Save the original sources.list file when a repository profile is
      associated with a computer and restore it when the profile is removed.
      (LP: #1607529)
    - Drop the legacy HAService plugin, which is no longer used.
    - Avoid double-decoding package descriptions in build_skeleton_apt, which
      causes an error with Xenial python-apt. (LP: #1655395)
    - Remove dead dbus code and textmessage (confirmed not supported in server
      for ~2 years). (LP: #1657372)
    - Move bzr-builddeb conf file from deprecated location to debian/
      (LP: #1658796)
    - Support for new server error message about there being too many pending
      computers already (LP: #1662530)
    - Add a timestamp to the package reporter result (LP: #1674252)
    - Check if ubuntu-release-upgrader is running before apt-update (LP: #1699179)
    - Implicitly trust file-local sources managed by landscape. On upgrades,
      add the trusted flag to the landscape file-local apt source file if it's
      not there. (LP: #1736576)
    - Use local system tools to change the user's password (LP: #1743558)
  * clean up packaging and getting in sync with the new landscape version:
    - d/rules: drop extra:suggests which is unused since 13.07.1-0ubuntu2
    - Remove antique postinst code. No supported landscape-client version
      installs cronjobs anymore (since a long time).
    - d/landscape-client.docs: the README file is now a markdown file, so
      install that instead.
    - d/landscape-common.postinst: no need to single out
      /var/lib/landscape/.gnupg when fixing ownerships, just do it over
      the entire parent directory.
    - guard user and group removal via an empty .cleanup.* file in post, so we
      only remove the user/group if we were the ones who created them at
      install time.
    - lintian: remove absolute path from update-motd calls in maintainer
      scripts
    - d/rules: drop special handling for dapper, hardy and lucid, which are no
      longer supported.
    - d/rules: make sure we have an "extra:Depends=" in substvars even if it's
      empty
    - d/rules: drop dh_pycentral handling, it's obsolete
  * Dropped (already included in this version):
    - d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
      Sets vm_info to kvm for new AWS EC2 C5 instances. (LP #1742531)

