## landscape-client 19.12

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 
 .PHONY: depends2
 depends2:
-	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj
+	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces
 
 .PHONY: depends3
 depends3:
-	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj
+	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces
 
 all: build
 
@@ -58,7 +58,7 @@
 
 .PHONY: lint
 lint:
-	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265 \
+	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265,W504 \
 		`find landscape -name \*.py`
 
 .PHONY: pyflakes
