=== debian/changelog ===
landscape-client (19.12-0ubuntu4) focal; urgency=medium

  * d/p/0002-lp1870087-stale-locks.patch:
    Clean stale twisted lock files (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 14 Apr 2020 11:07:41 -0400

landscape-client (19.12-0ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:59 +0000

landscape-client (19.12-0ubuntu2) focal; urgency=medium

  * Handle EINVAL error of SIOCETHTOOL ioctl (LP: #1855522)
    The error occurs on WSL (1) and causes an error showing up in MOTD.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 07 Dec 2019 15:52:03 +0100

landscape-client (19.12-0ubuntu1) focal; urgency=medium

  * New upstream release 19.12:
    - Modernized packaging.
    - Added support for python-apt 1.9
    - Converted init script to systemd service.
    - Set default value if data_path is missing. (LP: #1728681)
    - Sysinfo: add support for multiple IPv6 addresses per interface.
      (LP: #829379)
    - Clear hash id database on package resync. (LP: #1616116)
    - Permit environments containing unicode chars for script execution.
      (LP: #1765518)
    - Set LANG in sysinfo wrapper. (LP: #1780071)
    - Avoid leaking memory through unused twisted logs. (LP: #1685885)
    - Handle unicode apt-sources-replace (LP: #1771443)
    - Add simfs to the whitelist of watched file-systems (LP: #1499104)
    - Return non-blank message when tasks already performed. (LP: #928933)
    - Overrid apt progress pulse(). (LP: #1758529)
    - Improvements on vm_info detection (LP: #1754073) (LP: #1799843)
      (LP: #1828217)
    - Remove the landscape url from motd output by removing LandscapeLink
      from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 04 Dec 2019 14:12:24 +0000

landscape-client (18.03-0ubuntu1) bionic; urgency=medium

  * New trunk build
  * Remove the landscape url from motd output by removing LandscapeLink
    from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 01 Mar 2018 11:14:02 -0300

landscape-client (15.06-0ubuntu1) wily; urgency=medium

  * New upstream version (LP: #1461123)
    - Fix container detection on Vivid hosts. (LP: #1449920)
    - Don't retry package operations if a SystemError is raised.
      (LP: #1444826)
    - Retry apt-get update when error 100 is returned. (LP: #1398090)
    - Better SSL error messages. (LP: #1409700)
    - Internal refactoring for better SSL user experience in the future.
      (LP: #1434546, LP: #1429888, LP: #1428826)

 -- David Britton <david.britton@canonical.com>  Tue, 02 Jun 2015 12:13:31 -0600
