=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
-Build-Depends: debhelper (>= 7), po-debconf, libdistro-info-perl,
+Build-Depends: debhelper (>= 12), po-debconf, libdistro-info-perl,
                dh-python, python3-dev, python3-distutils-extra,
-               lsb-release, gawk
-Standards-Version: 3.8.2
-X-Python3-Version: >= 3.5
+               lsb-release, gawk, dh-systemd (>= 1.3), net-tools,
+               python3-apt, python3-twisted, python3-configobj
+Standards-Version: 4.4.0
+Homepage: https://github.com/CanonicalLtd/landscape-client
 
 Package: landscape-common
 Architecture: any
@@ -17,14 +18,13 @@
          python3-apt,
          ca-certificates,
          python3-gdbm,
+         python3-netifaces,
          lsb-release,
          lsb-base,
          adduser,
          bc,
          lshw,
          libpam-modules
-Breaks: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
-Replaces: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
 Description: Landscape administration system client - Common files
  Landscape is a web-based tool for managing Ubuntu systems. This
  package is necessary if you want your machine to be managed in a
