=== debian/changelog ===
landscape-client (23.02-0ubuntu1~22.04.6) jammy; urgency=medium

  * d/p/package-reporter-high-cpu.patch: backport fix to reduce CPU usage of
    package-reporter by avoiding creating Origin objects from the Python
    apt package. (LP: #2099283)
  * d/p/parse-lsb-output.patch: backport fix for error raised by package-reporter
    when parsing lsb output and add support for lsb modules. (LP: #2031036)

 -- Jan-Yaeger Dhillon <jan.dhillon@canonical.com>  Fri, 9 May 2025 11:19:45 -0700

landscape-client (23.02-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/p/2087852-feat-manage-ubuntu-sources-glob.patch: include DEB822
    formatted sources when managing apt sources by regex matching .sources
    files (LP: #2087852)

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Fri, 14 Mar 2025 21:11:44 +0000

landscape-client (23.02-0ubuntu1~22.04.4) jammy; urgency=medium

  * d/p/add-non-filtered-interfaces-to-the-api-response.patch: include
    all non-filtered network interfaces that have a valid MAC address
    in the API response. (LP: #2052834)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Mon, 29 Jul 2024 12:25:04 +0000

landscape-client (23.02-0ubuntu1~22.04.3) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper: fix 'cores' variable to CORES in message-
    of-the-day load threshold calculation (LP: #2066983)

 -- Spencer Runde <spencer.runde@canonical.com>  Tue, 28 May 2024 14:19:00 -0500

landscape-client (23.02-0ubuntu1~22.04.2) jammy; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 14 Feb 2024 15:34:10 -0800

landscape-client (23.02-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backporting release 23.02 for SRU (LP: #2006402):
    - Service is no longer stopped on upgrade (LP: #2027613)

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 14 Aug 2023 19:50:19 +0000

landscape-client (23.02-0ubuntu1) lunar; urgency=medium

  * New upstream release 23.02:
    - Preventing the generation of large messages and logs that can overwhelm
      Landscape Server (LP: #1995775)
    - Improved MOTD slowdown on machines with many tap network interfaces
      (LP: #2006396)
    - No longer using deprecated apt-key when storing trusted GPG keys
      (LP: #1973202)
    - Fixed issue recognising Parallels VMs as Virtual Machine clients
      (LP: #1827909)
    - Fixes for incorrect logfile rotation config (LP: #1968189)
    - Client-side backoff handling to moderate traffic to Landscape Server
      during high load (LP: #1947399)
    - Avoid sending empty messages when catching up to expected next message
      (LP: #1917540)
    - --is-registered CLI option to quickly check if client is registered
      (LP: #1912516)
    - Can now report Ubuntu Pro attachment information if the version of
      Landscape Server it is registered to supports this (LP: #2006401)
    - Packages installed as dependencies as part of package profiles are now
      appropriately autoremovable (LP: #1878957)
    - Registration timeouts give an error instead of timing out (LP: #1889464)
    - RHEV hypervisor VMs are now recognized as virtual machines (LP: #1884116)
    - Doing a Landscape-driven release upgrade from a release running python 2
      to one running python 3 no longer hangs forever (LP: #1943291)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 08 Feb 2023 10:23:31 -0800

landscape-client (19.12-0ubuntu13) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper, d/landscape-common.postrm: avoid too
    frequent expensive operations (LP: #1893716)
    - use a cache file and refresh it only once per minute
    - use a single printf to format output
    - if the former info was useful and we'd replace it with "sorry, load to
      high" skip that update
    - remove the cache file on purge

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Mar 2022 12:32:38 +0200

landscape-client (19.12-0ubuntu12) jammy; urgency=medium

  * d/p/lp1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 09 Mar 2022 11:02:22 -0500

landscape-client (19.12-0ubuntu11) jammy; urgency=medium

  * debian/patches/1962539_twisted_py3.patch:
    Fix obsolete imports on jammy. (LP: #1962539)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 02 Mar 2022 18:29:37 -0500

landscape-client (19.12-0ubuntu10) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:32:25 +0200

landscape-client (19.12-0ubuntu9.1) hirsute; urgency=medium

  * Replace deprecated tostring() call with tobytes(). (LP: #1911050)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Apr 2021 14:59:38 -0700

landscape-client (19.12-0ubuntu9) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:44:11 +0100

landscape-client (19.12-0ubuntu8) hirsute; urgency=medium

  * d/p/0003-clean-publisher-shutdown.patch:
    Let publisher services shutdown cleanly (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 01 Mar 2021 21:00:40 -0500

landscape-client (19.12-0ubuntu7) hirsute; urgency=medium

  * Switch from depreated base64.decodestring to base64.decodebytes to fix
    FTBFS with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 10:35:48 +0000

landscape-client (19.12-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:52 +0100

landscape-client (19.12-0ubuntu5) groovy; urgency=medium

  * d/landscape-client.service (LP: #1870087)
    - Set KillMode on service to avoid killing dpkg

