=== debian/changelog ===
landscape-client (23.08-0ubuntu4) noble; urgency=medium

  * d/p/0003-fix-cpuinfo-and-tests.patch: fix ARM and RISCV cpuinfo parsing;
    fix environment var-modifying tests, increase timeout on tests that can
    be slow on these arches (LP: #2046620).

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 04 Jan 2023 17:06:26 -0800

landscape-client (23.08-0ubuntu3) noble; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/rules: avoid stopping services on upgrade (LP: #2027613)
  * Re-enable build-time test suite (LP: #2044181)
    - d/rules: enable test suite during build
    - d/control: build-depend on python3-pycurl, python3-netifaces,
        python3-yaml, ubuntu-advantage-tools, locales-all
    - d/p/0002-fix-broken-build-tests.patch: add mocks to snapd-related tests;
        use existing directory if HOME does not exist
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Tue, 28 Nov 2023 11:40:17 -0800

landscape-client (23.08-0ubuntu2) noble; urgency=medium

  * d/landscape-common.postint: ensure sysinfo cache file exists and is globally
    read-write (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 23 Nov 2023 14:28:14 -0800

landscape-client (23.08-0ubuntu1) mantic; urgency=medium

  * New upstream release 23.08
    - Restructure landscape-config wizard (LP: #2031673)
    - Add SnapMonitor, SnapManager, and related machinery (LP: #2031682)
    - Limit message data directory size (LP: #2004591)
    - Add zfs and btrfs to stable fs-lists (LP: #1499104)
    - Test for broken control file (LP: #1813442)
    - Config man page and help info fixes (LP: #1662222)
    - Removed unnecesary select to the database (LP: #1994951)
    - Last apt-key removal (LP: #1990435)
    - Added a logging level check to provide a better error (LP: #2027521) 
    - Broker is able to bootstrap the landscape-client folder (LP: #1868730)
    - Changed gpg file name to be less generic (LP: #2008432)
    - Improve Dependency data is read from the deb packages (LP: #1813442)
    - Fix error in swift plugin (LP: #2031674)
    - Repository profiles do not overwrite all configurations (LP: #2031680)
    - Remove old plugins (LP: #1989968)
    - Send ubuntu pro reboot output (LP: #2031684)

 -- Kevin Nasto <kevin.nasto@canonical.com>  Thu, 17 Aug 2023 13:41:21 -0500
