=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 12), po-debconf, libdistro-info-perl,
                dh-python, python3-dev, python3-distutils-extra,
                lsb-release, gawk, net-tools,
-               python3-apt, python3-twisted, python3-configobj
+               python3-apt, python3-twisted, python3-configobj,
+               python3-pycurl, python3-netifaces, python3-yaml,
+               ubuntu-advantage-tools, locales-all
 Standards-Version: 4.4.0
 Homepage: https://github.com/CanonicalLtd/landscape-client
